> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mediamagicverify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> List webhook subscriptions for the authenticated workspace with pagination.

Authentication: Requires X-API-Key header with valid API key.

Raises:
    401: If API key missing or invalid



## OpenAPI

````yaml /openapi.json get /api/integrations/webhooks/subscriptions
openapi: 3.1.0
info:
  title: Midmarket Integrations API
  description: An API for Midmarket integrations.
  version: 0.1.0
servers:
  - url: https://mm-midmarket-integrations-api-preview.azurewebsites.net
    description: preview
security: []
paths:
  /api/integrations/webhooks/subscriptions:
    get:
      tags:
        - webhooks
      summary: List Subscriptions
      description: >-
        List webhook subscriptions for the authenticated workspace with
        pagination.


        Authentication: Requires X-API-Key header with valid API key.


        Raises:
            401: If API key missing or invalid
      operationId: list_subscriptions_api_integrations_webhooks_subscriptions_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Pagesize
        - name: sortBy
          in: query
          required: false
          schema:
            enum:
              - endpoint_url
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Sortby
        - name: sortOrder
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Sortorder
        - name: enabled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Enabled
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_WebhookSubscriptionResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - apiKey: []
components:
  schemas:
    PaginatedResponse_WebhookSubscriptionResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookSubscriptionResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - pagination
      title: PaginatedResponse[WebhookSubscriptionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookSubscriptionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Subscription ID
        workspaceId:
          type: string
          format: uuid
          title: Workspaceid
          description: Workspace ID
        endpointUrl:
          type: string
          title: Endpointurl
          description: Webhook endpoint URL
        eventTypes:
          items:
            type: string
          type: array
          title: Eventtypes
          description: Subscribed event types
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Subscription description
        enabled:
          type: boolean
          title: Enabled
          description: Whether subscription is active
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
          description: Last update timestamp
      type: object
      required:
        - id
        - workspaceId
        - endpointUrl
        - eventTypes
        - enabled
        - createdAt
        - updatedAt
      title: WebhookSubscriptionResponse
      description: Response model for webhook subscription (GET/LIST/PATCH operations).
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        pageSize:
          type: integer
          title: Pagesize
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
      type: object
      required:
        - page
        - pageSize
        - total
        - totalPages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Workspace-scoped API key. Format: sk_live_{64 hex chars}'
      x-default: sk_live_your_api_key_here

````